library(TitanCNA)

args <- commandArgs(TRUE)

id <- args[1]
tumWig <- args[2]
normWig <- args[3]
gc <- args[4]
map <- args[5]
outfile <- args[6]

message('titan: Correcting GC content and mappability biases...')
cnData <- correctReadDepth(tumWig, normWig, gc, map)

write.table(cnData, file = outfile, col.names = TRUE, row.names = FALSE, quote = FALSE, sep ="\t")
